Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355851 - Screen is flickering after update to Fedora 24
Summary: Screen is flickering after update to Fedora 24
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 24
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1360247 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 18:02 UTC by Simon Reber
Modified: 2018-04-02 19:06 UTC (History)
30 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:32:58 UTC


Attachments (Terms of Use)

Description Simon Reber 2016-07-12 18:02:17 UTC
Description of problem:

After the update to Fedora 24 my screen is flickering in a way that I'm unable to work.

The following messages are shown in `dmesg` and they seem to be related to the flickering

[87216.998865] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87226.815194] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87254.352185] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87262.312521] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87301.250882] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87302.378885] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87427.192328] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87463.017629] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87485.906407] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87497.098884] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87500.571019] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87533.373274] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87573.694831] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87594.319599] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87654.121890] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
[87733.437966] [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A


Version-Release number of selected component (if applicable):

 - 4.6.3-300.fc24.x86_64

How reproducible:

always

Steps to Reproduce:
1. Update to Fedora 24

Actual results:

Screen flickering

Expected results:

no screen flickering

Additional info:

[root@fedora-u904 gdm]# lspci -k | grep -A3 VGA
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)
	Subsystem: Fujitsu Limited. Device 1811
	Kernel driver in use: i915
	Kernel modules: i915

Comment 1 Simon Reber 2016-07-12 18:06:07 UTC
When installing intel-gpu-tools and running intel_gpu_top it works and the flickering stops

Comment 2 Simon Reber 2016-07-12 18:13:17 UTC
booting into 4.5.7-202.fc23.x86_64 solves the problem as well

Comment 3 Peter F. Patel-Schneider 2016-07-13 13:23:12 UTC
I am also having the same problem, on a Lenovo Yoga 2 Pro,  which also uses an integrated Haswell Intell GPU.

It looks as if this is a well-known problem with Intel GPUs in recent kernels, having to do with a buggy power-saving feature that was recently turned on.  There are some patches that have provided partial fixes, but I can't tell if there is a complete fix in 4.6.

For me, the problem appears only after a considerable time after booting.  The screen starts blanking and unblanking, with the unblanking appearing to be correlated with display changes.   I can stop the screen blanking for a while by suspending and unsuspending.

Comment 4 Peter F. Patel-Schneider 2016-07-13 13:54:31 UTC
https://bugs.freedesktop.org/show_bug.cgi?id=95176
appears to be the same problem

Comment 5 Peter F. Patel-Schneider 2016-07-14 22:17:51 UTC
I'm surprised that there are not a lot of other reports of this problem.

Comment 6 Peter F. Patel-Schneider 2016-07-23 00:29:32 UTC
This is still happening in 4.6.4-301.fc24.x86_64.  I *think* that there are new relevant error messages as of this kernel, however, as shown below.

Jul 22 17:19:27 idefix.nuance.com kernel: [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
Jul 22 17:19:39 idefix.nuance.com kernel: [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
Jul 22 17:19:40 idefix.nuance.com kernel: [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
Jul 22 17:20:01 idefix.nuance.com kernel: [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
Jul 22 17:20:03 idefix.nuance.com kernel: [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
Jul 22 17:20:18 idefix.nuance.com kernel: [drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
Jul 22 17:20:39 idefix.nuance.com kernel: [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* uncleared fifo underrun on pipe A
Jul 22 17:20:39 idefix.nuance.com kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
Jul 22 17:20:43 idefix.nuance.com NetworkManager[835]: <info>  [1469233243.4609] manager: sleep requested (sleeping: no  enabled: yes)

The first few errors are as before, but I don't remember seeing the ones at 17:20:39 and they do show up when the flickering started.  Suspending and resuming still provides a temporary respite.  If I see anything else new I'll report it as well.

Comment 7 florian0508 2016-07-24 20:08:30 UTC
booting into 4.5.7-202.fc23.x86_64 works fine

Comment 8 Hannes Ovrén 2016-07-25 16:16:31 UTC
I get this error as well, but on "Pipe B" when running with an external screen connected to the laptop HDMI port. It's only the laptop screen that starts to flicker though, the external screen is fine.

Unplugging and then reconnecting the external screen temporarily solves the problem.

Comment 9 Łukasz Faber 2016-08-04 09:04:02 UTC
I have the same problem on Lenovo Yoga 2 Pro. The flickering is noticeable since GDM screen shows up and after a while it makes the laptop completely unusable (the screen becomes completely black every second). Mouse movement or running intel_gpu_top seems to help.

I have no external screen connected.

Comment 10 florian0508 2016-08-10 21:18:00 UTC
Does Kernel x86_64 4.6.5-300.fc24 fix that problem? I didn't dare to install it yet...

Comment 11 Ahmed Nazmy 2016-08-13 16:03:23 UTC
Problem still there on kernel 4.6.5-300.fc24

$ lspci -k | grep -A3 VGA
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 09)
	Subsystem: Lenovo Device 3978
	Kernel driver in use: i915
	Kernel modules: i915

A workaround I found is to change screen refresh rate .

Comment 12 Peter F. Patel-Schneider 2016-08-15 17:25:12 UTC
Does anyone know if this problem is being worked on?  

I see a lot of bug reports for display problems in Linux 4.6 with integrated Intel graphics, but I can't find any place saying what is being done to address the problems, if anything.  

It would be nice to at least bring this problem to the attention of the developers of the misbehaving driver.

Comment 13 Ahmed Nazmy 2016-08-16 04:57:05 UTC
Looks like "i915.enable_psr=0" solved the problem for me on Lenovo Yoga pro 2 .

kernel 4.6.5-300.fc24

$ lspci -k | grep -A3 VGA
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 09)
	Subsystem: Lenovo Device 3978
	Kernel driver in use: i915
	Kernel modules: i915

Comment 14 Peter F. Patel-Schneider 2016-08-16 11:53:02 UTC
Yes, for me also, and also on the same hardware.

That seems to pin down the cause, but what's happening to fix it?  PSR is supposed to save quite a bit of energy so it would be very nice to be able to use it.

Comment 15 Peter F. Patel-Schneider 2016-08-26 19:06:40 UTC
I'm running a 4.8 kernel from rawhide, 4.8.0-0.rc1.git3.1.fc26.x86_64,
which does not exhibit the problem.

I don't know whether that is because the problem is really fixed or that PSR is not enabled for my hardware.   Does anyone know how to check whether PSR is actually being used (as opposed to enabled)?

Anyway, my suggestion is to try out the rawhide kernel if you have an integrated Intel video controller.  It's been very steady for me.  It is also not producing any
[drm:intel_pipe_update_start [i915]] *ERROR* Potential atomic update failure on pipe A
or any similar messages so it appears that this problem is fixed.

Running a rawhide kernel is very easy, and easy to recover from.  Just 

sudo dnf install fedora-repos-rawhide.noarch
sudo dnf --enablerepo=rawhide update kernel

and then reboot.  You can use the normal methods to boot from an older kernel if the rawhide one doesn't work.  

If you want to keep more versions of the kernel around (so that you can have a bunch of rawhide kernels, for example), set the installonly limit higher in /etc/dnf/dnf.conf.  Keeping 10 kernels would be

installonly_limit=10

This does mean that you are running a pre-release version of the linux kernel.

Comment 16 jvapr27 2016-09-08 15:15:36 UTC
Hi, 

So I updated to rawhide: 

[root@LenovoPro2 ~]# uname -a
Linux LenovoPro2 4.8.0-0.rc4.git4.1.fc26.x86_64 #1 SMP Fri Sep 2 18:44:36 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux


I use Intel's utility to update the Linux drivers. This is what is loaded right now: 

[root@LenovoPro2 ~]# lspci |grep VGA
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)

My Yoga Pro 2 is suffering from the screen flickers, so I followed the last advice on here to try the newest rawhide kernel. 

I have not seen it flicker yet.

I will continue to run this kernel and if I see it flicker, I will come here and update comment. 

Is there any OS utility I can use on Fedora to manage drivers? 

thanks, 

JV

Comment 17 Peter F. Patel-Schneider 2016-09-08 15:18:18 UTC
Good to see that someone else is also not seeing problems with 4.8.

It would be nice if someone could tell us how to determine whether this is because PSR is turned off for us or whether PSR has been fixed for us.

Any pointers?  Even pointers on good places to ask would be helpful at this point.

Comment 18 Marco 2016-09-16 12:33:20 UTC
I also have e Lenovo Yoga 2 Pro with massive flicker issues in kernel-4.6.x and kernel-4.7.x.
Last working kernel was 4.5.7-300.fc24.

I upgraded to 4.8.0-0.rc6. Flicking seems to be gone since this upgrade. I will report immediately if they occur again.

Comment 19 dhardy 2016-09-20 11:31:29 UTC
> Looks like "i915.enable_psr=0" solved the problem for me on Lenovo Yoga pro 2 .
Same machine here; before disabling PSR I had flickering within a couple of minutes of boot. Doing the above delayed the onset to maybe an hour or so but did not fix the problem on the 4.7 kernel.

Trying rawhide 4.8 kernel now.

Comment 20 dhardy 2016-09-20 15:53:35 UTC
Several hours later: 4.8.0-0.rc6.git4.1.fc26.x86_64 is working perfectly.

Comment 21 Igor Gnatenko 2016-10-04 13:05:26 UTC
*** Bug 1360247 has been marked as a duplicate of this bug. ***

Comment 22 Michael Vorburger 2016-11-03 11:31:51 UTC
Related to or duplicate of bug 1375399, bug 1378312, bug 1313662 ?

Comment 23 Marco 2016-11-03 12:04:55 UTC
Since 4.8.4 is now in @updates of Fedora 24, I switched my Yoga 2 Pro to this kernel and removed the kernel from rawhide.

With kernel version 4.8.4-200.fc24 I didn't have any flickering issues so far. Perfect! :-)

Cheers
Marco

Comment 24 Michael Vorburger 2016-11-03 13:06:05 UTC
> With kernel version 4.8.4-200.fc24 I didn't have any flickering issues so far

FYI with the 4.8.4-200 I still do see this issue (right now), but my Lenovo T460s probably doesn't have the exact same Intel graphics as your Yoga 2 Pro.

Bug I'll just try out the 4.8.6 or 4.9-rc* with the steps given by Hans in bug 1375399 ..

Comment 25 florian0508 2016-11-16 22:22:21 UTC
Kernel 4.8.6-201.fc24 still has this issue! I still have to use Kernel 4.5.7-202.fc23 which works without any issues. Is it not possible to fix that?

My Hardware: Acer Aspire E1-772, Intel HD Graphics 4600

Comment 26 florian0508 2016-11-21 06:25:42 UTC
Problem still persists with kernel 4.8.8-200.fc24 and all kernels since 4.6 I have used

Comment 27 Charles Dennett 2016-12-08 13:43:24 UTC
Not a duplicate, but may be related:

https://bugzilla.redhat.com/show_bug.cgi?id=1397864

Comment 28 Fedora End Of Life 2017-07-25 21:45:47 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 29 Fedora End Of Life 2017-08-08 15:32:58 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 30 D. Hugh Redelmeier 2018-03-17 22:48:34 UTC
This is happening to me on an Asus UX305c notebook.  It uses a Intel Core m3-6Y30 processor's integrated GPU to drive its 3200x1800 screen.

This is running Gnome desktop on Fedora 27.
The kernel is currently 4.15.6-300.fc27.x86_64
I have not tried the "i915.enable_psr=0" kernel parameter.

The keyboard brightness adjustment works but doesn't solve the problem.  If I jam the brightness at the top, and then the screen spontaneously goes dimmer, when I press the "brighter button" it shows that the setting has been reduced (spontaneously) and allows me to increase brightness again.  It's like I'm having a tug of war with an unknown opponent.

The only ugly thing I notice in the dmesg output at the moment is:
[ 6071.270615] [drm:intel_pipe_update_end [i915]] *ERROR* Atomic update failure on pipe A (start=37218 end=37219) time 158 us, min 1789, max 1799, scanline start 1786, end 1804

Can someone change the status of this bz -- I can't.

Comment 31 D. Hugh Redelmeier 2018-03-17 23:12:09 UTC
my journalctl -b output shows over 48000 repetitions of

Mar 17 19:08:23 redkraft.mimosa.com pkexec[27757]: pam_systemd(polkit-1:session): Cannot create session: Already running in a session
Mar 17 19:08:23 redkraft.mimosa.com pkexec[27757]: pam_unix(polkit-1:session): session opened for user root by (uid=1113)
Mar 17 19:08:23 redkraft.mimosa.com audit[27757]: USER_START pid=27757 uid=1113 auid=1113 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:session_open grantors=pam_keyinit,pam_limits,pam_systemd,pam_unix acct="root" exe="/usr/bin/pkexec" hostname=? addr=? terminal=? res=success'
Mar 17 19:08:23 redkraft.mimosa.com pkexec[27757]: emily: Executing command [USER=root] [TTY=unknown] [CWD=/home/emily] [COMMAND=/usr/libexec/gsd-backlight-helper --set-brightness 862]

This seems related.

Comment 32 Sidney 2018-03-24 14:23:33 UTC
(In reply to Simon Reber from comment #1)
> When installing intel-gpu-tools and running intel_gpu_top it works and the
> flickering stops

I use Fedora and used the command 'sudo dnf -y install intel-gpu-tools'. But have can I run the intel_gpu_top? Thanks in advance!

Comment 33 D. Hugh Redelmeier 2018-03-25 02:27:19 UTC
prompted by #32 and then #1:

[hugh@redyo ~]$ sudo intel_gpu_top
Test assertion failure function intel_mmio_use_pci_bar, file intel_mmio.c:145:
Failed assertion: !(error != 0)
Last errno: 1, Operation not permitted
Couldn't map MMIO region


Note You need to log in before you can comment on or make changes to this bug.